<?php

/**
 * @file
 *  Callbacks for auxiliary pages
 */

/**
 * Callback for quoting an item
 */
function quoting_quote_item_page($node) {
  drupal_set_title(t('Quoting '. $node->title));
  return quoting_quote_form($node);
}

/**
 * Quote finish page
 */
function quoting_quote_page() {
  global $user;
  $content = '';

  $quote_type = variable_get('quote_type', 0);

  if (!$quote_type) {
    drupal_goto('<front>');
  }

  // Load quoting items so far.
  $items = quoting_restore_quote_items();
  if (empty($items)) {
    drupal_set_message(t('No items added to quote yet.'), 'error');
    return '';
  }
  $content .= theme('quoting_item_list', $items);

  // Make a new node and loads the node form:
  module_load_include('inc', 'node', 'node.pages');
  $quote = array(
    'uid' => $user->uid, 
    'name' => (isset($user->name) ? $user->name : ''), 
    'type' => $quote_type, 
    'language' => '',
  );

  $form_state = array();
  $content .= drupal_get_form($quote_type . '_node_form', $quote);

  return $content;
}
